aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/noip/noip.initd
diff options
context:
space:
mode:
Diffstat (limited to 'unmaintained/noip/noip.initd')
-rw-r--r--unmaintained/noip/noip.initd34
1 files changed, 34 insertions, 0 deletions
diff --git a/unmaintained/noip/noip.initd b/unmaintained/noip/noip.initd
new file mode 100644
index 0000000000..141c3e5a20
--- /dev/null
+++ b/unmaintained/noip/noip.initd
@@ -0,0 +1,34 @@
+#!/sbin/runscript
+
+depend() {
+ use logger dns
+ need net
+ after firewall
+}
+
+checkconfig() {
+ if [ ! -f /etc/no-ip2.conf ]
+ then
+ einfo "Answer the following questions about your no-ip account."
+ noip2 -C || return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting noip"
+ start-stop-daemon --quiet --start -x /usr/sbin/noip2 -- -c /etc/no-ip2.conf
+ eend $? "noip did not start, error code $?"
+}
+
+stop() {
+ ebegin "Stopping noip"
+ start-stop-daemon --quiet --stop -x /usr/sbin/noip2
+ noip_ecode=$?
+ eend $noip_ecode "Error stopping the noip daemon, error $noip_ecode"
+ checkconfig || return 1
+ ebegin "Setting noip addresses to 0.0.0.0"
+ noip2 -c /etc/no-ip2.conf -i 0.0.0.0 >& /dev/null
+ eend $? "Failed to set noip addresses to 0.0.0.0, error $?"
+ return $noip_ecode
+} \ No newline at end of file